"use strict";

appCore.controller("goalTemplateMatrixCtrl", ["$state", "$scope", "$http", "$timeout", "vServices", "filterFilter", function ($state, $scope, $http, $timeout, vServices, filterFilter) {
    $scope.params = $state.params;
    $scope.$root.page.title = "My Heroes";
    $scope.btn = {text: "My Goals"};
    $scope.allGoalTemplates = [];

    const init = () => {  
        vServices.callApi("goal/allTemplateMatrix", "GET", {}).then(function (res) { 
            if(res){
                $scope.allGoalTemplates = res;
            }
            $scope.$root.callDataTable("#heroList", 500);
        });

     
    };

    init();





}]);
